using System;
using System.IO;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace PhotoRenamer.Test
{
    [TestClass]
    public class FilesTest
    {
        [TestMethod]
        public void FindSupportedFiles()
        {
            var path = Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "Assets");
            var files = Base.FilesHelper.FindSupportedFilesRecursively(path).ToArray();
            Assert.AreEqual(2, files.Length);
            Assert.AreEqual("IMG_3590.CR2", Path.GetFileName(files[0]));
            Assert.AreEqual("IMG_3590.JPG", Path.GetFileName(files[1]));
        }
    }
}
